com.google.gwt.uibinder.elementparsers

## Class UiSafeHtmlInterpreter

- java.lang.Object
- - com.google.gwt.uibinder.elementparsers.UiTextInterpreter
  - - com.google.gwt.uibinder.elementparsers.UiSafeHtmlInterpreter

All Implemented Interfaces:
  com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

    public class UiSafeHtmlInterpreter
    extends UiTextInterpreter

Interprets generic message tags like: <ui:safehtml from="{myMsg.message}" />. It's called in HTML contexts.

### Field Summary

### Fields inherited from class com.google.gwt.uibinder.elementparsers.UiTextInterpreter

`computedAttributeInterpreter, writer`

### Constructor Summary

Constructors
Constructor and Description
`UiSafeHtmlInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ComputedAttributeInterpreter` `createComputedAttributeInterpreter()`
`protected java.lang.String` `getLocalName()`

### Methods inherited from class com.google.gwt.uibinder.elementparsers.UiTextInterpreter

`interpretElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UiSafeHtmlInterpreter

    public UiSafeHtmlInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer)

### Method Detail

#### createComputedAttributeInterpreter

    protected ComputedAttributeInterpreter createComputedAttributeInterpreter()

Overrides:
  `createComputedAttributeInterpreter` in class `UiTextInterpreter`

#### getLocalName

    protected java.lang.String getLocalName()

Overrides:
  `getLocalName` in class `UiTextInterpreter`